### Virtual Method

# Clutter Container add

deprecated: 1.10

#### Declaration [src]

    void
    add (
      ClutterContainer* container,
      ClutterActor* actor
    )

#### Description [src]

Adds a `ClutterActor` to `container`. This function will emit the “actor-added” signal. The actor should be parented to `container`. You cannot add a `ClutterActor` to more than one `ClutterContainer`.

This function will call `ClutterContainerIface`.add(), which is a deprecated virtual function. The default implementation will call clutter_actor_add_child().

Deprecated since: 1.10

Use `clutter_actor_add_child()` instead.

#### Parameters

`actor`

  Type: `ClutterActor`

  The first `ClutterActor` to add.

  The data is owned by the caller of the function.